WordPress.org

Forums

BackWPup Free - WordPress Backup Plugin
[resolved] The HTTP response test get a false http status (503) (26 posts)

  1. AutomatedKid
    Member
    Posted 2 years ago #

    Updated to 3.0.4 and I'm getting the message in my thread topic.

    Any suggestions on how to resolve?

    Thanks

    http://wordpress.org/extend/plugins/backwpup/

  2. Marcelo Pedra
    Member
    Posted 2 years ago #

    Same here. After upgrading to 3.0.4 this error started to show up.
    The error is not present in backup jobs where I just run a optimize or check of the database.

    My failing job includes:
    DB Check
    DB Backup
    DB Optimize
    XML export
    Plugins

    The screen error says:

    The HTTP response test get a error "Connection time-out"The HTTP response test get a false http status ()

    There is no php errors, so this is a connection issue, added in 3.0.4 :(

  3. Marcelo Pedra
    Member
    Posted 2 years ago #

    After re-reading the changelog, I guess this error come from the following:

    Added: Server connection test on run now.
  4. Marcelo Pedra
    Member
    Posted 2 years ago #

    EDIT: READ PLEASE:

    if I create a job which is actually doing a DB Check + DB Optimize, this error is present too. Evidently, the conenction test is done here too.

  5. AutomatedKid
    Member
    Posted 2 years ago #

    That's the same setup on my backup, with both check and optimize, so we have similar setups.

    By chance, what php version is your server running? I've got 5.3.21 and I'm thinking this could be the problem since it seems his latest update requires 5.3.33.

    From the plugin front page...
    To use the Plugin with full functionality PHP 5.3.3 with mysqli, FTP,gz, bz2, ZipArchive and curl is needed.

    What do you think?

  6. Marcelo Pedra
    Member
    Posted 2 years ago #

    I have

    • PHP 5.2.17 with mysqli, FTP, gz, bz2, zip, curl.
    • MySQL 5.5.30.
    • WP 3.5.1.
    • cURL 7.24.
    • Alternative WP Cron: Off.
    • PHP Memory limit: 256 MB
  7. AutomatedKid
    Member
    Posted 2 years ago #

    Okay, now looking @ the plugin front page again, it reads both...

    WordPress 3.2 and PHP 5.2.6 required!

    To use the Plugin with full functionality PHP 5.3.3 with mysqli, FTP,gz, bz2, ZipArchive and curl is needed.

    ...so which is it? I'm not asking you, I'm just trying to figure it out myself!

    Let's hope the author comes by since it seems he's getting closer to getting a handle on resolving the plugin issues.

  8. Daniel Hüsken
    Member
    Plugin Author

    Posted 2 years ago #

    The responce test ist a simple HTTP Request to the Server itself.

    That will be done on every time 'run now' will clicked.

    If this massge pop's up the job can't startet normely.

    This massage can pop's up if:
    - the hoster not allow this kind of connections (WP_ALTERNATE_CRON can help)
    - the blog behind a autentication (401) and the autehntication data not entered (Settings | Network ).
    - The Server can not resolve its own hostname.
    - A plugin or theme blogs the request (will be done in frontend)
    - and many more.

    Best is fixing the real problem. Because the WordPress cron works in the same way.

  9. AutomatedKid
    Member
    Posted 2 years ago #

    So Daniel, are you saying that there is "fix" coming soon???

    The reason I ask, even though I'm getting the http request message, it is still not taking a backup and the last backup I have was with the previous version.

    Would you recommend that we go back to version 2 until this gets resolved?

  10. Caspar
    Member
    Posted 2 years ago #

    @AutomatedKid If version 2.x worked as expected in your hosting environment and version 3.x doesn't, opting for a temporary downgrade sounds reasonable.

  11. AutomatedKid
    Member
    Posted 2 years ago #

    I agree, Caspar, thanks for the comment. I already downloaded the previous version, just hoping to hear whether there is another update in the pipeline or not.

  12. Marcelo Pedra
    Member
    Posted 2 years ago #

    I will stick to version 3.0.3 since that was the last version that actually work well.

  13. beta_projects
    Member
    Posted 2 years ago #

    I am having the same problem and solved it by removing the 'Anticipate' plugin from Elegant Themes. Hope this helps someone.

  14. Daniel Hüsken
    Member
    Plugin Author

    Posted 2 years ago #

    You can test it again eith the version that is now out.

  15. TheVirtualPreacher
    Member
    Posted 2 years ago #

    Same problem here. Upgraded 3.0.7 and now it's broken and throws that message. Very sad.

  16. TheVirtualPreacher
    Member
    Posted 2 years ago #

    OK. Uninstalling, reinstalling and reconfiguring the plugin fixed my problem.

  17. game writer
    Member
    Posted 2 years ago #

    I have a similar problem (false http status 401).

    Uninstall, reinstall, reconfigure = still broken. FAIL.

  18. Daniel Hüsken
    Member
    Plugin Author

    Posted 2 years ago #

    @game writer: the wp-cron.php nedds an authentication. that means 401.
    Authentication can enterd in Settings | Network

  19. Daniel Hüsken
    Member
    Plugin Author

    Posted 2 years ago #

    I have found out that sometimes a 503 massage cames up if a mantinice plugin installed and active. The only loggt in users have acsses.

    For those the next update will help.

  20. kc_terry
    Member
    Posted 2 years ago #

    Hi folks,

    I had the same issue as others, and because of Daniel's most recent post, I gave it a shot with the WP Maintenance Mode plugin set to "false" (meaning the site was visible to all users, not just logged-in admin users. This solved the issue for me.

    FYI, I have PHP 5.2 running, which could have been a factor, but I do have the most recent version of the BackWPup plugin installed.

  21. funkoolow
    Member
    Posted 2 years ago #

    setting the auth in settings/network solved for me. keep it up the incredibly good work man :)

  22. Daniel Hüsken
    Member
    Plugin Author

    Posted 2 years ago #

    Hello,

    I mark the third as resolved.

    The http status are documented here http://en.wikipedia.org/wiki/List_of_HTTP_status_codes

    Status 401 is normally when a authentication is needed. Settings | Network.

    All other comes from hoster configurations, plugin or .htaccess restrictions to the wp-cron.php.

    When we should search for the problem please use the pro support.

  23. tgrux
    Member
    Posted 1 year ago #

    I'm also getting this error but it is a 302, which is a redirect. Does anyone know what page or file it is trying to access? My site htaccess doesn't have much in it.

  24. Marcelo Pedra
    Member
    Posted 1 year ago #

    @tgrux: it is surely a completely different reason that the main issue from this thread. You should provide what version of WP and the plugin are you using, and try deactivating all your plugins but this one and try again, to filter the chances of other plugins interfering with this. Also, consider opening a new thread about your issue to differentiate from this.

  25. WPyogi
    Forum Moderator
    Posted 1 year ago #

    @tgrux - yes, please do start your own thread per the forums guidelines - this one is marked resolved - http://codex.wordpress.org/Forum_Welcome#Where_To_Post

    You can do so here:

    http://wordpress.org/support/plugin/backwpup#postform

  26. tgrux
    Member
    Posted 1 year ago #

    Will do, sorry about that.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.